org.keycloak.models.cache.entities

## Class CachedRole

- java.lang.Object
- - org.keycloak.models.cache.entities.CachedRole

- Direct Known Subclasses:
    CachedApplicationRole, CachedRealmRole

      public class CachedRole
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `composite`
    `protected Set<String>` | `composites`
    `protected String` | `description`
    `protected String` | `id`
    `protected String` | `name`
    `protected String` | `realm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedRole(RoleModel model, RealmModel realm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getComposites()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getRealm()`
    `boolean` | `isComposite()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected final String id

    - #### name

          protected final String name

    - #### realm

          protected final String realm

    - #### description

          protected final String description

    - #### composite

          protected final boolean composite

    - #### composites

          protected final Set<String> composites

  - ### Constructor Detail

    - #### CachedRole

          public CachedRole(RoleModel model,
                    RealmModel realm)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getName

          public String getName()

    - #### getRealm

          public String getRealm()

    - #### getDescription

          public String getDescription()

    - #### isComposite

          public boolean isComposite()

    - #### getComposites

          public Set<String> getComposites()

Copyright © 2014. All Rights Reserved.